# SimpleTestSummaryResultFormatter

Extends \SimpleTestResultFormatter

Prints short summary output of the test to Phing's logging system.

author | Michiel Rook mrook@php.net
version | $Id: 3b2f67ab5e1a8dec51d3e7f1128bcaeceee3e75c $
package | phing.tasks.ext.simpletest
since | 2.2.0

### Methods

## getElapsedTime

    getElapsedTime() : integer

inherited

### Response

`integer`

## getErrorCount

    getErrorCount() : integer

inherited

### Response

`integer`

## Returns the extension used for this formatter

    getExtension() : string

inherited

### Response

`string`

the extension

## getFailureCount

    getFailureCount() : integer

inherited

### Response

`integer`

## getPreferredOutfile

    getPreferredOutfile() : string

inherited

### Response

`string`

## getRunCount

    getRunCount() : integer

inherited

### Response

`integer`

## getTestName

    getTestName() : string

inherited

### Response

`string`

## paintCaseEnd

    paintCaseEnd(string $test_name)

inherited

### Arguments

#### $test_name

`string`

## paintCaseStart

    paintCaseStart(string $test_name)

inherited

### Arguments

#### $test_name

`string`

## paintError

    paintError(string $message)

inherited

### Arguments

#### $message

`string`

## paintFail

    paintFail(string $message)

inherited

### Arguments

#### $message

`string`

## paintMethodEnd

    paintMethodEnd(string $test_name)

inherited

### Arguments

#### $test_name

`string`

## paintMethodStart

    paintMethodStart(string $test_name)

inherited

### Arguments

#### $test_name

`string`

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

inherited

### Arguments

#### $out

`\Writer`

## Sets the project

    setProject(\Project $project)

inherited

### Arguments

#### $project

`\Project`

### Properties

## out

    out :

inherited

### Type(s)

``

## project

    project :

inherited

### Type(s)

``

## timer

    timer :

inherited

### Type(s)

``

## runCount

    runCount :

inherited

### Type(s)

``

## failureCount

    failureCount :

inherited

### Type(s)

``

## errorCount

    errorCount :

inherited

### Type(s)

``

## currentTest

    currentTest :

inherited

### Type(s)

``